#### PyKDE - Python Bindings for KDE

# class KIcon |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KIcon
Inherits |

### enums

- Context = {Any, Action, Application, Device, FileSystem, MimeType }
- Group = {NoGroup, Desktop, FirstGroup, Toolbar, MainToolbar, Small, Panel, LastGroup, User }
- Group = {NoGroup, Desktop, FirstGroup, Toolbar, MainToolbar, Small, Panel, LastGroup, User }
- MatchType = {MatchExact, MatchBest }
- Overlays = {LockOverlay, ZipOverlay, LinkOverlay, HiddenOverlay, ShareOverlay, OverlayMask }
- Overlays = {LockOverlay, ZipOverlay, LinkOverlay, HiddenOverlay, OverlayMask }
- States = {DefaultState, ActiveState, DisabledState, LastState }
- StdSizes = {SizeSmall, SizeSmallMedium, SizeMedium, SizeLarge, SizeHuge, SizeEnormous }
- StdSizes = {SizeSmall, SizeSmallMedium, SizeMedium, SizeLarge, SizeHuge }
- StdSizes = {SizeSmall, SizeMedium, SizeLarge, SizeHuge }
- StdSizes = {SizeSmall, SizeMedium, SizeLarge }
- Type = {Fixed, Scalable, Threshold }

### methods

- KIcon ()

  returns a KIcon instance

- isValid ()

  returns (bool)

### variables

- variables

  Variable | Type
  --- | ---
  context | Context
  path | QString
  size | int
  threshold | int
  type | Type